<?xml version="1.0" encoding="UTF-8" ?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
                xmlns:rss="http://purl.org/rss/1.0/"
                xmlns:dc="http://purl.org/dc/elements/1.1/"
                xmlns:admin="http://webns.net/mvcb/"
                xmlns:l="http://purl.org/rss/1.0/modules/link/"
                xmlns:content="http://purl.org/rss/1.0/modules/content/">

<xsl:output method="text" encoding="ISO-8859-1"/>
<xsl:strip-space elements="link title"/>

<xsl:template match="/rdf:RDF">
<xsl:text>!!![[</xsl:text>
<xsl:value-of select="./rss:channel/rss:link"/>
<xsl:text>|</xsl:text>
<xsl:value-of select="./rss:channel/rss:title"/>
<xsl:text>]]
</xsl:text>
<xsl:apply-templates select="rss:item" />
</xsl:template>

<xsl:template match="/rss">
<xsl:apply-templates select="channel" />
</xsl:template>

<xsl:template match="rss:item">
<xsl:text>* [[</xsl:text>
<xsl:value-of select="rss:link"/>
<xsl:text>|</xsl:text>
<xsl:value-of select="rss:title"/>
<xsl:text>]]
</xsl:text>
</xsl:template>

<xsl:template match="channel">
<xsl:text>!!![[</xsl:text>
<xsl:value-of select="link"/>
<xsl:text>|</xsl:text>
<xsl:value-of select="title"/>
<xsl:text>]]
</xsl:text>
<xsl:for-each select="item">
<xsl:if test ="not(preceding::item[pubDate/text() = current()/pubDate/text()])">
<xsl:text>* </xsl:text>
<xsl:value-of select="substring(pubDate,1,16)"/>
<xsl:text>
</xsl:text>
</xsl:if>
<xsl:text>** </xsl:text>
<xsl:value-of select="description"/>
<xsl:text>
</xsl:text>
</xsl:for-each>
</xsl:template>

</xsl:stylesheet>

